/********************************************************************
*	ML2ADAP.H
*
*	Some procedures are exported as MODUALR-4/486 procedure.
*	So some identifiers must be modified!
*
*	Operating System:		Windows 95
*								Windows NT
*
*	SORCUS Board:			ML2 - Multi-LAB/2
*
*  Author:					Dipl.-Ing. H.Doersam
*
*  Copyrights:				SORCUS Computer GmbH 1998
*								All Rights Reserved
********************************************************************/





#ifndef _INC_ML2ADAP

#define _INC_ML2ADAP



#define  ml2_error_info_type                 ml8_error_info_type
#define  ml2_bib_startup                     ml8_bib_startup
#define  ml2_select_card                     ml8_select_card
#define  ml2_get_selected_card               ml8_get_selected_card
#define  ml2_exit_card                       ml8_exit_card
#define  ml2_exit                            ml8_exit
#define  ml2_reacting                        ml8_reacting
#define  ml2_type_check                      ml8_type_check
#define  ml2_prog_in_rom                     ml8_prog_in_rom
#define  ml2_set_macro_interruptible         ml8_set_macro_interruptible
#define  ml2_cache_control                   ml8_cache_control
#define  ml2_install_task                    ml8_install_task
#define  ml2_get_task_info                   ml8_get_task_info
#define  ml2_get_task_number                 ml8_get_task_number
#define  ml2_get_task_status                 ml8_get_task_status
#define  ml2_wakeup_task                     ml8_wakeup_task
#define  ml2_sleep_task                      ml8_sleep_task
#define  ml2_get_pgm_installed               ml8_get_pgm_installed
#define  ml2_call_func                       ml8_call_func
#define  ml2_call_function                   ml8_call_function
#define  ml2_call_io_func                    ml8_call_io_func
#define  ml2_call_proc                       ml8_call_proc
#define  ml2_read_par_block                  ml8_read_par_block
#define  ml2_write_par_block                 ml8_write_par_block
#define  ml2_read_par_byte                   ml8_read_par_byte
#define  ml2_write_par_byte                  ml8_write_par_byte
#define  ml2_read_par_word                   ml8_read_par_word
#define  ml2_write_par_word                  ml8_write_par_word
#define  ml2_read_par_dword                  ml8_read_par_dword
#define  ml2_write_par_dword                 ml8_write_par_dword
#define  ml2_reset_r_pointer                 ml8_reset_r_pointer
#define  ml2_reset_w_pointer                 ml8_reset_w_pointer
#define  ml2_move_r_pointer                  ml8_move_r_pointer
#define  ml2_move_w_pointer                  ml8_move_w_pointer
#define  ml2_read_data_block                 ml8_read_data_block
#define  ml2_write_data_block                ml8_write_data_block
#define  ml2_read_data_byte                  ml8_read_data_byte
#define  ml2_write_data_byte                 ml8_write_data_byte
#define  ml2_read_data_word                  ml8_read_data_word
#define  ml2_write_data_word                 ml8_write_data_word
#define  ml2_read_data_dword                 ml8_read_data_dword
#define  ml2_write_data_dword                ml8_write_data_dword
#define  ml2_set_ram_pointer                 ml8_set_ram_pointer
#define  ml2_read_ram                        ml8_read_ram
#define  ml2_write_ram                       ml8_write_ram
#define  ml2_start_pgm                       ml8_start_pgm
#define  ml2_in8_port                        ml8_in8_port
#define  ml2_in16_port                       ml8_in16_port
#define  ml2_out8_port                       ml8_out8_port
#define  ml2_out16_port                      ml8_out16_port
#define  ml2_lock_async                      ml8_lock_async
#define  ml2_lock_sync                       ml8_lock_sync
#define  ml2_unlock                          ml8_unlock
#define  ml2_transfer_pgm                    ml8_transfer_pgm
#define  ml2_enable_remote_debug             ml8_enable_remote_debug
#define  ml2_allocate_ram                    ml8_allocate_ram
#define  ml2_get_free_ram_size               ml8_get_free_ram_size
#define  ml2_load_op                         ml8_load_op
#define  ml2_read_eeprom_direct              ml8_read_eeprom_direct
#define  ml2_read_eeprom_copy                ml8_read_eeprom_copy
#define  ml2_write_eeprom_direct             ml8_write_eeprom_direct
#define  ml2_write_eeprom_copy               ml8_write_eeprom_copy
#define  ml2_led_on                          ml8_local_led_on
#define  ml2_led_off                         ml8_local_led_off
#define  ml2_local_led_on                    ml8_local_led_on
#define  ml2_local_led_off                   ml8_local_led_off
#define  ml2_get_led_status                  ml8_get_local_led_status
#define  ml2_external_led_on                 ml8_external_led_on
#define  ml2_external_led_off                ml8_external_led_off
#define  ml2_set_error_handling              ml8_set_error_handling
#define  ml2_get_error_info                  ml8_get_error_info
#define  ml2_set_error_info                  ml8_set_error_info
#define  ml2_get_error_class_and_code        ml8_get_error_class_and_code
#define  ml2_get_error_msg                   ml8_get_error_msg
#define  ml2_set_error_message               ml8_set_error_message
#define  ml2_get_error_message               ml8_get_error_message
#define  ml2_set_mark_message                ml8_set_mark_message
#define  ml2_get_mark_message                ml8_get_mark_message
#define  ml2_set_mark                        ml8_set_mark
#define  ml2_get_mark                        ml8_get_mark
#define  ml2_set_max_error_retry             ml8_set_max_error_retry
#define  ml2_error_repeat_test               ml8_error_repeat_test
#define  ml2_set_repeat_macro                ml8_set_repeat_macro
#define  ml2_clear                           ml8_clear
#define  ml2_clear_error                     ml8_clear_error
#define  ml2_produce_error                   ml8_produce_error
#define  ml2_call_user_error                 ml8_call_user_error
#define  ml2_set_service                     ml8_set_service
#define  ml2_suspend_requests                ml8_suspend_requests
#define  ml2_allow_requests                  ml8_allow_requests
#define  ml2_get_message                     ml8_get_message
#define  ml2_message_available               ml8_message_available
#define  ml2_poll_request                    ml8_poll_request
#define  ml2_hard_reset                      ml8_hard_reset
#define  ml2_init_test                       ml8_init_test
#define  ml2_init_bib                        ml8_init_bib
#define  ml2_auto_timeout                    ml8_auto_timeout
#define  ml2_change_timeout                  ml8_change_timeout
#define  ml2_propose_timeout                 ml8_propose_timeout
#define  ml2_set_timeout                     ml8_set_timeout
#define  ml2_get_timeout                     ml8_get_timeout
#define  ml2_transfer_and_install            ml8_transfer_and_install
#define  ml2_get_bib_version                 ml8_get_bib_version
#define  ml2_get_os_version                  ml8_get_os_version
#define  ml2_get_drv_version                 ml8_get_drv_version
#define  ml2_send_macro                      ml8_send_macro
#define  ml2_macrohandler_wo_parallel        ml8_macrohandler_wo_parallel
#define  ml2_macrohandler_rw_parallel        ml8_macrohandler_rw_parallel
#define  ml2_macrohandler_rblock_parallel    ml8_macrohandler_rblock_parallel
#define  ml2_macrohandler_wblock_parallel    ml8_macrohandler_wblock_parallel
#define  ml2_macrohandler_wblockr_parallel   ml8_macrohandler_wblockr_parallel
#define  ml2_macrohandler_ddblock_parallel   ml8_macrohandler_ddblock_parallel
#define  ml2_reset_dlp                       ml8_reset_dlp
#define  ml2_set_dlp                         ml8_set_dlp
#define  ml2_make_err_msg                    ml8_make_err_msg
#define  ml2_load_mini_os                    ml8_load_mini_os
#define  ml2_x_get_os_version                ml8_x_get_os_version
#define  ml2_servicedummyret                 ml8_servicedummyret
#define  ml2_errordummyret                   ml8_errordummyret
#define  ml2_get_port_status                 ml8_get_port_status
#define  ml2_get_srq_handle                  ml8_get_srq_handle 
#define	ml2_get_lib_version						ml8_get_lib_version
#define	ml2_get_mlxdrv_version					ml8_get_mlxdrv_version
#define	ml2_get_osx_version						ml8_get_osx_version
#define	ml2_create_version_string				ml8_create_version_string
#define	ml2_create_date_string					ml8_create_date_string
#define	ml2_create_time_string					ml8_create_time_string			
#define	ml2_create_micro_time_string			ml8_create_micro_time_string			

#define HMDD2 HMDD8
#define MDD2_CDT_HEAD MDD8_CDT_HEAD

#define mdd2_get_version mdd8_get_version
#define mdd2_open_channel mdd8_open_channel
#define mdd2_read_infotext mdd8_read_infotext
#define mdd2_get_device_status mdd8_get_device_status
#define mdd2_scan_channel mdd8_scan_channel
#define mdd2_reset_driver mdd8_reset_driver

#define mdd2_write_channel_byte mdd8_write_channel_byte
#define mdd2_write_channel_word mdd8_write_channel_word
#define mdd2_write_channel_short mdd8_write_channel_short
#define mdd2_write_channel_dword mdd8_write_channel_dword
#define mdd2_write_channel_block mdd8_write_channel_block

#define mdd2_trigger_channel mdd8_trigger_channel

#define mdd2_read_channel_byte mdd8_read_channel_byte
#define mdd2_read_channel_word mdd8_read_channel_word
#define mdd2_read_channel_short mdd8_read_channel_short
#define mdd2_read_channel_dword mdd8_read_channel_dword
#define mdd2_read_channel_block mdd8_read_channel_block

#define mdd2_send_channel_command mdd8_send_channel_command
#define mdd2_send_channel_control mdd8_send_channel_control
#define mdd2_send_channel_control_block mdd8_send_channel_control_block
#define mdd2_get_channel_info mdd8_get_channel_info
#define mdd2_get_channel_info_block mdd8_get_channel_info_block
#define mdd2_set_channel_caption mdd8_set_channel_caption
#define mdd2_get_channel_caption mdd8_get_channel_caption
#define mdd2_close_channel mdd8_close_channel

#define mdd2_check_handle_valid mdd8_check_handle_valid

#define mdd2_get_diagnosis mdd8_get_diagnosis
#define mdd2_get_diagnosis_msg mdd8_get_diagnosis_msg


#endif // _INC_ML2ADAP


