/************************************************************************
*
*                          ML8EX.H
*
*    Header for Multi-LAB/2 und MODULAR-4/486 DLL (Windows 95 and NT)
*		- non documented but exported functions -
*                    version      : see ML10BIB.C
*                    creation     : 11.10.95
*                    last change  : see ML10BIB.C
*                    author       : MIH
*
*     (c) by SORCUS Computer GmbH Heidelberg 1995..1997
*************************************************************************/
#ifndef _ml8_ex_h 
#define _ml8_ex_h 

#if defined(__cplusplus)
extern "C" {
#endif
 
/***************************************************************************
*  T Y P E S
**************************************************************************/

typedef struct _MLX_EX_CARD_INFO
{
	USHORT	OSystem;
	HANDLE	Handle;
	ULONG		ProcessID;
	USHORT	CardNr;
	USHORT	CardType;
	USHORT	IrqChan;
	ULONG		PortBase;
}
MLX_EX_CARD_INFO, *PMLX_EX_CARD_INFO;

ML10API USHORT MLXEXPORT ml8_exclusive_lock (USHORT lockmode);

/***************************************************************************
*  Win32-spezifische Prototypen 
***************************************************************************/
ML10API USHORT MLXEXPORT ml8_parameter_control(USHORT Parameter, USHORT Mode, void *ptr);
ML10API USHORT MLXEXPORT ml8_process_control(ULONG ProcessID, USHORT Mode, void *ptr);
ML10API HANDLE MLXEXPORT ml8_get_drv_handle (void);

ML10API USHORT MLXEXPORT ml8_get_card_info (MLX_EX_CARD_INFO *pExInf);

ML10API VOID MLXEXPORT ml8_set_card_type (USHORT cardtype);

ML10API ushort MLXEXPORT ml8_init_card(ushort card);

#if defined(__cplusplus)
}
#endif

#endif   /*_ml8_ex_h */
